(TeX-add-style-hook "amsrbeta"
 (lambda ()
    (LaTeX-add-environments
     "biblist")
    (TeX-add-symbols
     "endbracket"
     '("bib" ["argument"] 2)
     '("PublisherNameAddress" 3)
     '("DefinePublisher" 1)
     '("SerialName" 3)
     '("DefineJournal" 1)
     '("ocite" 1)
     '("ycite" 1)
     '("cites" 1)
     '("citedest" 2)
     '("cite" 1)
     '("tsub" 1)
     '("tsup" 1)
     '("eprint" 1)
     '("PrintEdition" 1)
     '("CardinalNumeric" 1)
     '("PrintDatePosted" 1)
     '("PrintYear" 1)
     '("PrintDate" 1)
     '("PrintDatePV" 1)
     '("PrintDOI" 1)
     '("BibField" 1)
     '("EnglishInitialCaps" 1)
     '("eprintpages" 1)
     '("pptext" 1)
     '("ReviewList" 1)
     '("PrintEditorsB" 1)
     '("PrintEditorsA" 1)
     '("sameauthors" 1)
     '("aulist" 1)
     '("bibspec" 2)
     '("MRhref" 1)
     '("bibquotes" 1)
     '("parenthesize" 1)
     '("upn" 1)
     '("SingularPlural" 2)
     '("resetbiblist" 1)
     "thebib"
     "name"
     "printbibliography"
     "bibname"
     "bibsection"
     "SwapBreak"
     "PrintSeries"
     "Plural"
     "SingularPlural"
     "deferredquoteslogical"
     "deferredquotes"
     "mdash"
     "ndash"
     "frenchspacing"
     "nopunct"
     "uninvertName"
     "UninvertedNames"
     "bysame"
     "PrintAuthors"
     "PreviousAuthors"
     "voltext"
     "ISSNlookup"
     "PublisherLookup"
     "biblanguageEnglish"
     "biblanguagedefault"
     "PrintThesisType"
     "IfEmptyBibField"
     "bib"
     "editiontext"
     "intersentencespace"
     "tprime"
     "citemid"
     "citepunct"
     "citeform"
     "MultipleCiteKeyWarning"
     "cites"
     "citelist"
     "NonNumericCiteWarning"
     "citeselect"
     "citeleft"
     "citeright"
     "ycite"
     "ocite"
     "ycites"
     "ocites"
     "SerialISSNName")
    (TeX-run-style-hooks
     "amsjpa"
     "inicap"
     "rkvbeta"
     "ifoption")))

