(TeX-add-style-hook "amsrefs"
 (lambda ()
    (LaTeX-add-environments
     "biblist"
     "bibchapter"
     "bibsection"
     "bibdiv")
    (TeX-add-symbols
     '("MultipleBibSelectWarning" ["argument"] 1)
     '("BibSelect" ["argument"] 1)
     '("CiteNamesFull" 1)
     '("CiteNames" 1)
     '("fullocite" 1)
     '("fullcite" 1)
     '("citeauthory" 1)
     '("citeauthor" 1)
     '("ocites" 1)
     '("ocite" 1)
     '("ycites" 1)
     '("ycite" 1)
     '("eprint" 1)
     '("CardinalNumeric" 1)
     '("PrintEdition" 1)
     '("PrintDatePosted" 1)
     '("PrintYear" 1)
     '("PrintDateB" 1)
     '("PrintDate" 1)
     '("PrintDatePV" 1)
     '("PrintDOI" 1)
     '("eprintpages" 1)
     '("DashPages" 1)
     '("PrintISBNs" 1)
     '("PrintPartials" 1)
     '("PrintReviews" 1)
     '("MRhref" 1)
     '("bibquotes" 1)
     '("upn" 1)
     '("parenthesize" 1)
     '("SubEtal" 1)
     '("PrintTranslatorsB" 1)
     '("PrintTranslatorsA" 1)
     '("PrintTranslatorsC" 1)
     '("PrintContributions" 1)
     '("PrintEditorsA" 1)
     '("PrintEditorsC" 1)
     '("sameauthors" 1)
     '("PrintAuthors" 1)
     '("SingularPlural" 2)
     '("etalchar" 1)
     '("citedest" 1)
     '("othercitelist" 1)
     '("othercites" 1)
     '("CitePrintUndefined" 1)
     '("InnerCite" 1)
     '("ReadBibData" 1)
     '("DefinePublisher" 4)
     '("DefineJournal" 4)
     '("DefineName" 2)
     '("BibItem" 2)
     '("resetbiblist" 1)
     '("BibSpecAlias" 2)
     '("BibSpec" 2)
     '("BibField" 1)
     '("url" 1)
     "macrotext"
     "vdef"
     "MessageBreakNS"
     "frenchspacing"
     "nopunct"
     "IfEmptyBibField"
     "aftergroup"
     "makelabel"
     "ResetCapSFCodes"
     "CurrentBibType"
     "set"
     "BibAbbrevWarning"
     "XRefWarning"
     "languagename"
     "biblanguageEnglish"
     "biblanguagedefault"
     "CurrentBib"
     "DuplicateBibKeyWarning"
     "bibname"
     "refname"
     "bibselect"
     "BibSelect"
     "bblname"
     "NoBibDBFile"
     "ReadBibLoop"
     "OpenBBLFile"
     "CloseBBLFile"
     "MultipleCiteKeyWarning"
     "ObsoleteCiteOptionWarning"
     "citemid"
     "citeAltPunct"
     "citeform"
     "cite"
     "UndefinedCiteWarning"
     "cites"
     "citen"
     "ycite"
     "ycites"
     "ocite"
     "ocites"
     "fullcite"
     "fullocite"
     "citeauthor"
     "citeauthory"
     "citelist"
     "InnerCite"
     "OtherCite"
     "NonNumericCiteWarning"
     "CitePrintUndefined"
     "bibcite"
     "fi"
     "DeclareNameAccent"
     "DeclareNameSymbol"
     "i"
     "j"
     "the"
     "EmptyNameWarning"
     "TrailingHyphenWarning"
     "ModifyBibLabel"
     "PrintSeries"
     "SingularPlural"
     "SwapBreak"
     "Plural"
     "PrintNames"
     "EmptyPrimaryWarning"
     "bysame"
     "PrintNameList"
     "PrintEditorsB"
     "PrintConference"
     "PrintConferenceDetails"
     "PrintBook"
     "PrintReprint"
     "PrintTranslation"
     "PrintPrimary"
     "etaltext"
     "print"
     "mdash"
     "ndash"
     "MR"
     "voltext"
     "issuetext"
     "PrintThesisType"
     "bib"
     "editiontext"
     "SentenceSpace"
     "bibliographystyle"
     "thebib"
     "PrintBackRefs"
     "BackCite"
     "deferredquotes"
     "deferredquoteslogical"
     "name"
     "citeleft"
     "citeright"
     "BibLabel"
     "citepunct"
     "citesel"
     "PrintCNY"
     "PrintCiteNames")
    (TeX-run-style-hooks
     "amsbst"
     "amsjpa"
     "mathscinet"
     "textcmds"
     "rkeyval"
     "backref"
     "hyperref"
     "ifoption"
     "pcatcode"
     "url"
     "amsrbeta")))

