(TeX-add-style-hook "doc"
 (lambda ()
    (LaTeX-add-index-entries
     "#1\\actualchar{\\protect\\ttfamily#1}
           (environment)\\encapchar usage"
     "environments:#1\\actualchar\\levelchar{\\protect\\ttfamily#1}\\encapchar
           usage"
     "#1\\actualchar#2"
     "#1\\levelchar
                                 \\ifx\\saved@macroname\\@empty
                                   \\space
                                   \\actualchar
                                   \\generalname
                                 \\else
                                   \\expandafter\\@gobble
                                   \\saved@macroname
                                   \\actualchar
                                   \\string\\verb\\quotechar*%
                                   \\verbatimchar\\saved@macroname
                                   \\verbatimchar
                                 \\fi
                                 :\\levelchar #3")
    (LaTeX-add-environments
     "theindex"
     "environment"
     "macro"
     "macrocode"
     "theglossary")
    (TeX-add-symbols
     '("meta" 1)
     "MacroFont"
     "AltMacroFont"
     "DontCheckModules"
     "CheckModules"
     "Module"
     "DescribeMacro"
     "DescribeEnv"
     "verbatim"
     "verb"
     "makelabel"
     "PrintMacroName"
     "PrintDescribeMacro"
     "PrintDescribeEnv"
     "PrintEnvName"
     "MakePrivateLetters"
     "EnableCrossrefs"
     "DisableCrossrefs"
     "x"
     "DoNotIndex"
     "actualchar"
     "quotechar"
     "levelchar"
     "encapchar"
     "verbatimchar"
     "SpecialIndex"
     "SpecialMainIndex"
     "SpecialMainEnvIndex"
     "SpecialUsageIndex"
     "SpecialEnvIndex"
     "SortIndex"
     "LeftBraceIndex"
     "RightBraceIndex"
     "OldMakeindex"
     "PercentIndex"
     "IndexPrologue"
     "IndexParms"
     "subitem"
     "subsubitem"
     "indexspace"
     "efill"
     "dotfill"
     "dotfil"
     "pfill"
     "main"
     "usage"
     "PrintIndex"
     "changes"
     "generalname"
     "RecordChanges"
     "item"
     "GlossaryPrologue"
     "GlossaryParms"
     "PrintChanges"
     "AlsoImplementation"
     "OnlyDescription"
     "StopEventually"
     "Finale"
     "the"
     "IndexInput"
     "maketitle"
     "MakeShortVerb"
     "DeleteShortVerb"
     "MakeShortverb"
     "DeleteShortverb"
     "CheckSum"
     "CharacterTable"
     "used"
     "CharTableChanges"
     "CodelineNumbered"
     "CodelineIndex"
     "PageIndex"
     "theCodelineNo"
     "DocstyleParms"
     "AmSTeX"
     "BibTeX"
     "SliTeX"
     "PlainTeX"
     "Web"
     "MakePercentIgnore"
     "MakePercentComment"
     "DocInput"
     "GetFileInfo"
     "filename"
     "fileinfo")
    (TeX-run-style-hooks
     "multicol")))

