(TeX-add-style-hook "exam"
 (lambda ()
    (LaTeX-add-environments
     "MakeFramed"
     "coverpages"
     "questions"
     "parts"
     "subparts"
     "subsubparts"
     "choices"
     "oneparchoices"
     "solution"
     "solutionorlines"
     "TheSolution"
     "framed"
     "shaded"
     "leftbar")
    (TeX-add-symbols
     '("pointpoints" 2)
     "extrawidth"
     "adj"
     "extraheadheight"
     "extrafootheight"
     "coverextraheadheight"
     "coverextrafootheight"
     "ps"
     "cover"
     "run"
     "cov"
     "covrun"
     "firstpageheader"
     "runningheader"
     "header"
     "firstpagefooter"
     "runningfooter"
     "footer"
     "lhead"
     "chead"
     "rhead"
     "lfoot"
     "cfoot"
     "rfoot"
     "coverfirstpageheader"
     "coverrunningheader"
     "coverheader"
     "coverfirstpagefooter"
     "coverrunningfooter"
     "coverfooter"
     "coverlhead"
     "coverchead"
     "coverrhead"
     "coverlfoot"
     "covercfoot"
     "coverrfoot"
     "firstpageheadrule"
     "nofirstpageheadrule"
     "runningheadrule"
     "norunningheadrule"
     "headrule"
     "noheadrule"
     "firstpagefootrule"
     "nofirstpagefootrule"
     "runningfootrule"
     "norunningfootrule"
     "footrule"
     "nofootrule"
     "coverfirstpageheadrule"
     "nocoverfirstpageheadrule"
     "coverrunningheadrule"
     "nocoverrunningheadrule"
     "coverheadrule"
     "nocoverheadrule"
     "coverfirstpagefootrule"
     "nocoverfirstpagefootrule"
     "coverrunningfootrule"
     "nocoverrunningfootrule"
     "coverfootrule"
     "nocoverfootrule"
     "numpages"
     "numpoints"
     "numquestions"
     "numparts"
     "numsubparts"
     "numsubsubparts"
     "pointsofquestion"
     "pointsonpage"
     "iflastpage"
     "oddeven"
     "PgInfo"
     "ifcontinuation"
     "nomorequestions"
     "ContinuedQuestion"
     "find"
     "IncompleteQuestion"
     "ifincomplete"
     "horiz"
     "slanted"
     "useslantedhalf"
     "usehorizontalhalf"
     "set"
     "copy"
     "addto"
     "add"
     "prtaux"
     "greeknum"
     "qformat"
     "noqformat"
     "thepoints"
     "question"
     "subpart"
     "subsubpart"
     "questionlabel"
     "part"
     "partlabel"
     "thepartno"
     "subpartlabel"
     "thesubpart"
     "subsubpartlabel"
     "thesubsubpart"
     "droppoints"
     "totalformat"
     "totalpoints"
     "droptotalpoints"
     "pointsinleftmargin"
     "pointsinrightmargin"
     "nopointsinmargin"
     "pointsdroppedatright"
     "pointsinmargin"
     "nopointsinrightmargin"
     "nopointsinleftmargin"
     "boxedpoints"
     "noboxedpoints"
     "bracketedpoints"
     "nobracketedpoints"
     "pointname"
     "point"
     "points"
     "half"
     "marksnotpoints"
     "marginpointname"
     "addpoints"
     "noaddpoints"
     "choicelabel"
     "makelabel"
     "choice"
     "answerline"
     "linefill"
     "fillwithlines"
     "uplevel"
     "fullwidth"
     "cellwidth"
     "gradetablestretch"
     "hqword"
     "hpword"
     "hsword"
     "htword"
     "vqword"
     "vpword"
     "vsword"
     "vtword"
     "vpgword"
     "hpgword"
     "gradetable"
     "printanswers"
     "noprintanswers"
     "solutiontitle"
     "framedsolutions"
     "shadedsolutions"
     "width"
     "height"
     "FrameCommand"
     "FrameHeightAdjust"
     "FrameRestore")
    (TeX-run-style-hooks
     "color"
     "art10"
     "article"
     "ifthen")))

