(TeX-add-style-hook "fontdoc"
 (lambda ()
    (LaTeX-add-environments
     "metrics"
     "varchar"
     "encoding"
     "comment"
     "IfBranch"
     "IfBranchDummy")
    (TeX-add-symbols
     "endresetglyph"
     "endsetglyph"
     "endsetleftboundary"
     "endsetslot"
     '("usemtxpackage" ["argument"] 1)
     '("samesize" 1)
     '("resetitalic" 1)
     '("resetdepth" 1)
     '("resetheight" 1)
     '("resetwidth" 1)
     '("moveup" 1)
     '("movert" 1)
     '("glyphwarning" 1)
     '("glyphspecial" 1)
     '("glyphrule" 2)
     '("glyph" 2)
     '("unsetglyph" 1)
     '("setscalednotglyph" 9)
     '("setnotglyph" 8)
     '("setscaledrawglyph" 9)
     '("setrawglyph" 8)
     '("resetglyph" 1)
     '("setglyph" 1)
     '("italic" 1)
     '("depth" 1)
     '("height" 1)
     '("width" 1)
     '("noleftrightkerning" 1)
     '("norightkerning" 1)
     '("noleftkerning" 1)
     '("unsetkerns" 2)
     '("kerning" 2)
     '("ConditionallyScaled" 1)
     '("setleftrightkerning" 3)
     '("setrightkerning" 3)
     '("setleftkerning" 3)
     '("resetkern" 3)
     '("setkern" 3)
     '("setfontdimen" 2)
     '("useexamplefont" 1)
     '("resetslotcomment" 1)
     '("setslotcomment" 1)
     '("charseq" 1)
     '("textunicode" 2)
     '("Unicode" 2)
     '("oddligature" 4)
     '("Ligature" 3)
     '("ligature" 3)
     '("setrightboundary" 1)
     '("setleftboundary" 1)
     '("skipslots" 1)
     '("nextslot" 1)
     '("setslot" 1)
     '("SetStringVariable" 2)
     '("resetdim" 2)
     '("resetstr" 2)
     '("resetint" 2)
     '("setdim" 2)
     '("setstr" 2)
     '("setint" 2)
     '("scale" 2)
     '("otherhalf" 1)
     '("half" 1)
     '("min" 2)
     '("max" 2)
     '("div" 2)
     '("mul" 2)
     '("neg" 1)
     '("int" 1)
     '("sub" 2)
     '("add" 2)
     '("TypesetIntegerExpression" 1)
     '("macroparameter" 1)
     '("strint" 1)
     '("str" 1)
     '("TypesetStringExpression" 1)
     '("ExpandAndMakePrintable" 3)
     '("PrintVisibleChar" 1)
     '("PrintChar" 1)
     '("TypesetList" 8)
     '("Bheading" 1)
     '("Aheading" 1)
     '("needsfontinstversion" 1)
     "fontinstversion"
     "plain"
     "plainint"
     "plaindiv"
     "plainneg"
     "plainmax"
     "plainmin"
     "eTeX"
     "eTeXlogo"
     "pdfTeX"
     "needsTeXextension"
     "showbranches"
     "then"
     "Else"
     "Fi"
     "messagebreak"
     "fontinsterror"
     "fontinstwarning"
     "fontinstwarningnoline"
     "fontinstinfo"
     "InvisibleCharPrefix"
     "InvisibleCharSuffix"
     "MakePrintable"
     "ifnumber"
     "setcommand"
     "resetcommand"
     "ifisint"
     "ifisstr"
     "ifisdim"
     "ifiscommand"
     "offcommand"
     "oncommand"
     "PrintChar"
     "foreach"
     "begincomment"
     "inputetx"
     "nextlarger"
     "makerightboundary"
     "FD"
     "Unicode"
     "vartop"
     "varmid"
     "varbot"
     "varrep"
     "unsetslotcomment"
     "slotexample"
     "ifdirect"
     "inputmtx"
     "relax"
     "ProvidesMtxPackage"
     "ifiskern"
     "push"
     "pop"
     "glyphpcc"
     "glyphbboxright"
     "ifisglyph"
     "ifareglyphs"
     "ifisinslot"
     "ifoption")
    (TeX-run-style-hooks
     "amstext"
     "color"
     "pdftex")))

