(TeX-add-style-hook "minitoc"
 (lambda ()
    (TeX-add-symbols
     '("mtcaddchapter" ["argument"] 0)
     '("mtcaddsection" ["argument"] 0)
     '("mtcaddpart" ["argument"] 0)
     "mtcskipamount"
     "mtcskip"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "section"
     "newread"
     "mtcpagenumbers"
     "nomtcpagenumbers"
     "stcpagenumbers"
     "nostcpagenumbers"
     "ptcpagenumbers"
     "noptcpagenumbers"
     "mlfpagenumbers"
     "nomlfpagenumbers"
     "slfpagenumbers"
     "noslfpagenumbers"
     "plfpagenumbers"
     "noplfpagenumbers"
     "mltpagenumbers"
     "nomltpagenumbers"
     "sltpagenumbers"
     "nosltpagenumbers"
     "pltpagenumbers"
     "nopltpagenumbers"
     "beforeparttoc"
     "beforepartlof"
     "beforepartlot"
     "afterparttoc"
     "afterpartlof"
     "afterpartlot"
     "thispageparttocstyle"
     "thispagepartlofstyle"
     "thispagepartlotstyle"
     "faketableofcontents"
     "fakelistoffigures"
     "fakelistoftables"
     "firstchapteris"
     "adjustmtc"
     "mtcfont"
     "mtcSfont"
     "mtcSSfont"
     "mtcSSSfont"
     "mtcPfont"
     "mtcSPfont"
     "mlffont"
     "mltfont"
     "mtifont"
     "coffeefont"
     "minilof"
     "minilot"
     "xchapter"
     "chapterend"
     "chapterbegin"
     "addstarredsection"
     "addstarredchapter"
     "addstarredpart"
     "addcoffeeline"
     "coffeeline"
     "l"
     "dominitoc"
     "dominilof"
     "dominilot"
     "mtcname"
     "mlfname"
     "mltname"
     "xpart"
     "ypart"
     "Thepart"
     "firstpartis"
     "adjustptc"
     "theptc"
     "ptcfont"
     "ptcCfont"
     "ptcSfont"
     "ptcSSfont"
     "ptcSSSfont"
     "ptcPfont"
     "ptcSPfont"
     "plffont"
     "pltfont"
     "ptifont"
     "parttoc"
     "partlof"
     "partlot"
     "pchapter"
     "psection"
     "partend"
     "partbegin"
     "doparttoc"
     "dopartlof"
     "dopartlot"
     "ptcname"
     "plfname"
     "pltname"
     "firstsectionis"
     "adjuststc"
     "stcfont"
     "stcSSfont"
     "stcSSSfont"
     "stcPfont"
     "stcSPfont"
     "slffont"
     "sltfont"
     "stifont"
     "secttoc"
     "sectlof"
     "sectlot"
     "xsect"
     "schapter"
     "sectend"
     "sectbegin"
     "appendixmtc"
     "dosecttoc"
     "dosectlof"
     "dosectlot"
     "thestc"
     "stcname"
     "slfname"
     "sltname"
     "noptcrule"
     "nomtcrule"
     "nostcrule"
     "ptcrule"
     "mtcrule"
     "stcrule"
     "mtcselectlanguage")
    (TeX-run-style-hooks
     "notoccite"
     "placeins"
     "below"
     "section"
     "afrikaan"
     "arab"
     "armenian"
     "bahasa"
     "bangla"
     "basque"
     "brazil"
     "bicig"
     "breton"
     "bulgarian"
     "buryat"
     "castillan"
     "catalan"
     "croatian"
     "czech"
     "danish"
     "dutch"
     "english"
     "esperant"
     "estonian"
     "ethiopia"
     "finnish"
     "french"
     "galician"
     "german"
     "germanb"
     "greek"
     "hebrew"
     "icelandic"
     "interlingua"
     "irish"
     "italian"
     "japanese"
     "latin"
     "lithuanian"
     "lsorbian"
     "magyar"
     "mongol"
     "ngermanb"
     "norsk"
     "nynorsk"
     "polish"
     "portuges"
     "romanian"
     "russianb"
     "russianc"
     "samin"
     "scottish"
     "serbian"
     "slovak"
     "slovene"
     "spanish"
     "swedish"
     "turkish"
     "ukraineb"
     "usorbian"
     "vietnam"
     "welsh")))

