(TeX-add-style-hook "pgf"
 (lambda ()
    (LaTeX-add-environments
     "pgfrotateby"
     "pgftranslate"
     "pgfmagnify"
     "pgfpictureboxed"
     "pgfpicture"
     "pgfscope")
    (TeX-add-symbols
     '("pgfimage" ["argument"] 1)
     '("pgfdeclaremask" ["argument"] 2)
     '("pgfdeclareimage" ["argument"] 2)
     '("pgfgrid" ["argument"] 2)
     '("pgfcorner" ["argument"] 2)
     "pdfxform"
     "pdflastxform"
     "pdfrefxform"
     "pdfoutput"
     "pgfex"
     "pgfem"
     "pgfget"
     "pgfextractx"
     "pgfextracty"
     "pgfpoint"
     "pgforigin"
     "pgfdirection"
     "pgfdiff"
     "pgfrelative"
     "pgfpartway"
     "pgfbackoff"
     "pgflabel"
     "pgfputlabelrotated"
     "pgfbox"
     "pgfsetlinewidth"
     "pgfsetmiterlimit"
     "pgfsetdash"
     "pgfsetbuttcap"
     "pgfsetroundcap"
     "pgfsetrectcap"
     "pgfsetmiterjoin"
     "pgfsetbeveljoin"
     "pgfsetroundjoin"
     "pgfmoveto"
     "pgflineto"
     "pgfcurveto"
     "pgfbezier"
     "pgfclosepath"
     "pgfstrokehook"
     "pgfstroke"
     "pgfclosestroke"
     "pgffill"
     "pgffillstroke"
     "pgfeofill"
     "pgfeofillstroke"
     "pgfclip"
     "pgfstrokeclip"
     "pgfclosestrokeclip"
     "pgffillclip"
     "pgffillstrokeclip"
     "pgfqmoveto"
     "pgfqlineto"
     "pgfqcurveto"
     "pgfqbezier"
     "pgfqstroke"
     "pgfzerocircle"
     "pgfzeroellipse"
     "pgfxyline"
     "pgfxycurve"
     "pgfline"
     "pgfellipse"
     "pgfcircle"
     "pgfrect"
     "pgfdefobject"
     "pgfuseobject"
     "pgfuseobjectmagnify"
     "pgfpolar"
     "pgfxy"
     "pgfxyz"
     "pgfsetxvec"
     "pgfsetyvec"
     "pgfsetzvec"
     "setlength"
     "addtolength"
     "pgftranslateto"
     "pgfputat"
     "pgfaliasimage"
     "pgfuseimage"
     "pgfalternateextension"
     "pgfdegree"
     "pgfsin"
     "pgfcos"
     "pgfsincos"
     "pgfnormalise")
    (TeX-run-style-hooks
     "keyval"
     "xcolor"
     "graphicx")))

