(TeX-add-style-hook "rapport3"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "abstract"
     "verse"
     "quotation"
     "quote"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("CaptionFonts" 2)
     '("descriptionlabel" 1)
     '("HeadingFonts" 8)
     '("chaptermark" 1)
     '("RunningFonts" 2)
     "unitindent"
     "othermargin"
     "string"
     "Thispagestyle"
     "chaptermark"
     "sectionmark"
     "PageFont"
     "MarkFont"
     "TitleFont"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "head"
     "part"
     "PartFont"
     "chapter"
     "ChapFont"
     "section"
     "SectFont"
     "subsection"
     "SSectFont"
     "subsubsection"
     "SSSectFont"
     "paragraph"
     "ParaFont"
     "subparagraph"
     "SParaFont"
     "makelabel"
     "verbatim"
     "appendix"
     "CaptionLabelFont"
     "CaptionTextFont"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "em"
     "tableofcontents"
     "toc"
     "listoffigures"
     "l"
     "listoftables"
     "bibindent"
     "newblock"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "seename"
     "andname"
     "today")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

