(TeX-add-style-hook "scrlttr2"
 (lambda ()
    (LaTeX-add-environments
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "addmargin"
     "letter")
    (TeX-add-symbols
     '("addtolengthplength" ["argument"] 2)
     '("setlengthtoplength" ["argument"] 2)
     '("deffootnote" ["argument"] 3)
     '("encl" 1)
     '("cc" 1)
     '("closing" 1)
     '("opening" 1)
     '("addtoreffields" 1)
     '("addrchar" 1)
     '("addrentry" 9)
     '("adrentry" 7)
     '("LetterOptionNeedsPapersize" 2)
     '("LoadLetterOption" 1)
     '("useplength" 1)
     '("nextfoot" 1)
     '("nexthead" 1)
     '("firstfoot" 1)
     '("firsthead" 1)
     '("renewcaptionname" 3)
     '("newcaptionname" 3)
     '("providecaptionname" 3)
     '("textsubscript" 1)
     '("deffootnotemark" 1)
     '("usekomafont" 1)
     '("addtokomafont" 2)
     '("setkomafont" 2)
     '("marginline" 1)
     '("labelinglabel" 1)
     '("descriptionlabel" 1)
     '("AfterProcessOptions" 1)
     '("KOMAoptions" 1)
     "KOMA"
     "AfterProcessOptions"
     "cleardoublestandardpage"
     "cleardoubleemptypage"
     "cleardoubleplainpage"
     "cleardoublepage"
     "add"
     "pagemark"
     "makelabel"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "sfb"
     "cal"
     "mit"
     "descfont"
     "sectfont"
     "pnumfont"
     "headfont"
     "titlefont"
     "subject"
     "baddr"
     "l"
     "noexpand"
     "ftn"
     "ftnm"
     "ftntm"
     "scr"
     "thefootnotemark"
     "g"
     "today"
     "captionsenglish"
     "languagename"
     "stopletter"
     "fname"
     "faddr"
     "AtBeginLetter"
     "newkomavar"
     "setkomavar"
     "usekomavar"
     "ifkomavarempty"
     "foldmarkson"
     "foldmarksoff"
     "addrfieldon"
     "addrfieldoff"
     "subjecton"
     "subjectoff"
     "subjectafteron"
     "subjectafteroff"
     "LOPNP"
     "adrchar"
     "stopbreaks"
     "vspace"
     "startbreaks"
     "move"
     "vb"
     "removereffields"
     "defaultreffields"
     "setpresigskip"
     "ps"
     "KOMAScript")
    (TeX-run-style-hooks
     "typearea"
     "scrlfile"
     "keyval")))

