(TeX-add-style-hook "seminar"
 (lambda ()
    (LaTeX-add-environments
     "note"
     "allversions"
     "slide")
    (TeX-add-symbols
     "endtable"
     "endfigure"
     "slidewidth"
     "slideheight"
     "footheight"
     "paperheight"
     "paperwidth"
     "printlandscape"
     "theslide"
     "landscapeonly"
     "portraitonly"
     "slideclearpagetrue"
     "slideclearpagefalse"
     "everyslide"
     "newpage"
     "clearpage"
     "thispagestyle"
     "twocolumn"
     "onecolumn"
     "marginpar"
     "thanks"
     "maketitle"
     "arraystretch"
     "date"
     "author"
     "title"
     "slidethanks"
     "thethanks"
     "slidemaketitle"
     "protect"
     "theslidefootnote"
     "thefootnote"
     "footins"
     "slidefonts"
     "slidestretch"
     "slidearraystretch"
     "raggedslides"
     "slideleftmargini"
     "slideleftmarginii"
     "slideleftmarginiii"
     "slidelabelsep"
     "slideitemsep"
     "slidepartopsep"
     "extraslideheight"
     "newslide"
     "slidereset"
     "addtoslidereset"
     "baselinestretch"
     "slidefuzz"
     "sliderotation"
     "leftsliderotation"
     "rightsliderotation"
     "label"
     "index"
     "glossary"
     "firstmark"
     "slidesep"
     "slideplacement"
     "thenote"
     "thepage"
     "truepagenumbers"
     "slideframewidth"
     "slideframesep"
     "newslideframe"
     "slideframe"
     "slidestyle"
     "slidelabel"
     "newpagestyle"
     "renewpagestyle"
     "slidepagestyle"
     "slideheadfont"
     "slidefootfont"
     "magstep"
     "magstepminus"
     "semin"
     "semcm"
     "seminlength"
     "semcmlength"
     "setslidelength"
     "addtoslidelength"
     "setartlength"
     "addtoartlength"
     "epsfslidesize"
     "epsfsize"
     "addtoslidelist"
     "noxcomment"
     "onlyslides"
     "notslides"
     "ref"
     "onlynotestoo"
     "ptsize"
     "slidefontsizes"
     "slideskip"
     "slideshrink"
     "slidedisplayskips"
     "slidefootins"
     "slidefootnotesep"
     "slideparindent"
     "slideparskip"
     "normalsize"
     "small"
     "footnotesize"
     "scriptsize"
     "tiny"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "twoup"
     "articlemag"
     "slidesmag")
    (TeX-run-style-hooks
     "sem-page"
     "art10"
     "article"
     "semrot"
     "semhelv"
     "semcolor"
     "semlcmss"
     "slidesec"
     "semlayer")))

