(TeX-add-style-hook "TeXmacs"
 (lambda ()
    (LaTeX-add-environments
     "theorem"
     "proposition"
     "lemma"
     "corollary"
     "axiom"
     "definition"
     "varremark"
     "varnote"
     "varexample"
     "varconvention"
     "varwarning"
     "remark"
     "note"
     "example"
     "convention"
     "warning"
     "proof"
     "exercise"
     "itemizeminus"
     "itemizedot"
     "itemizearrow"
     "enumeratenumeric"
     "enumerateroman"
     "enumerateromancap"
     "enumeratealpha"
     "enumeratealphacap")
    (TeX-add-symbols
     '("op" 1)
     '("subsubmenu" 3)
     '("submenu" 2)
     '("menu" 1)
     '("key" 1)
     '("tmref" 3)
     '("tmdef" 1)
     '("tmscript" 1)
     '("tmperson" 1)
     '("tmacronym" 1)
     '("tmvar" 1)
     '("tmkbd" 1)
     '("tmdfn" 1)
     '("tmabbr" 1)
     '("tmsamp" 1)
     '("tmname" 1)
     '("tmtt" 1)
     '("tmem" 1)
     '("tmstrong" 1)
     '("tmop" 1)
     '("tmmathbf" 1)
     '("tmaction" 2)
     '("tmhlink" 2)
     '("setlabelitem" 1)
     '("tmparagraph" 1)
     '("tmsection" 1)
     "TheoremText"
     "PropositionText"
     "LemmaText"
     "CorollaryText"
     "ProofText"
     "AxiomText"
     "DefinitionText"
     "RemarkText"
     "NoteText"
     "ExampleText"
     "ConventionText"
     "ExerciseText"
     "WarningText"
     "SelectDutch"
     "SelectEnglish"
     "SelectFrench"
     "SelectGerman"
     "SelectHungarian"
     "SelectItalian"
     "SelectPolish"
     "SelectPortugese"
     "SelectRomanian"
     "SelectRussian"
     "SelectSpanish"
     "SelectSwedish"
     "bigintwl"
     "bigointwl"
     "bignone"
     "asterisk"
     "nin"
     "nequiv"
     "dotamalg"
     "dottimes"
     "dotoplus"
     "dototimes"
     "nasymp"
     "asympasymp"
     "nasympasymp"
     "simsim"
     "nsimsim"
     "npreccurlyeq"
     "precprec"
     "precpreceq"
     "succsucc"
     "succsucceq"
     "triangleup"
     "precdot"
     "preceqdot"
     "Iota"
     "Tau"
     "um"
     "assign"
     "udots"
     "Backepsilon"
     "Mho"
     "mathd"
     "mathe"
     "mathi"
     "mathpi"
     "tmbsl"
     "tmdummy"
     "scheme"
     "tmat"
     "tmunsc"
     "pari")
    (TeX-run-style-hooks
     "epsfig"
     "enumerate"
     "stmaryrd"
     "wasysym"
     "pstricks"
     "amssymb"
     "amsmath")))

