(TeX-add-style-hook "amsmath"
 (lambda ()
    (LaTeX-add-environments
     "mathdisplay"
     '("subarray" 1)
     "smallmatrix"
     "bmatrix"
     "Bmatrix"
     "vmatrix"
     "Vmatrix"
     "subequations"
     "aligned"
     "alignedat"
     "gathered"
     "gather"
     "alignat"
     "xalignat"
     "xxalignat"
     "align"
     "flalign"
     "split"
     "multline"
     "equation")
    (TeX-add-symbols
     '("allowdisplaybreaks" ["argument"] 0)
     '("numberwithin" ["argument"] 2)
     '("xleftarrow" ["argument"] 1)
     '("xrightarrow" ["argument"] 1)
     '("cfrac" ["argument"] 2)
     '("raisetag" 1)
     '("eqref" 1)
     '("hdotsfor" 1)
     '("substack" 1)
     '("sideset" 3)
     '("underset" 2)
     '("overset" 2)
     '("mod" 1)
     '("pod" 1)
     '("ddddot" 1)
     '("dddot" 1)
     '("MultiIntegral" 1)
     '("boxed" 1)
     '("overline" 1)
     '("genfrac" 4)
     '("frac" 2)
     '("primfrac" 1)
     '("mspace" 1)
     '("tmspace" 3)
     "mathindent"
     "AmS"
     "AmSfont"
     "thinspace"
     "negthinspace"
     "medspace"
     "negmedspace"
     "thickspace"
     "negthickspace"
     "lvert"
     "rvert"
     "lVert"
     "rVert"
     "dfrac"
     "tfrac"
     "binom"
     "dbinom"
     "tbinom"
     "leftroot"
     "uproot"
     "sqrtsign"
     "varGamma"
     "varDelta"
     "varTheta"
     "varLambda"
     "varXi"
     "varPi"
     "varSigma"
     "varUpsilon"
     "varPhi"
     "varPsi"
     "varOmega"
     "implies"
     "impliedby"
     "And"
     "nobreakdash"
     "DOTSI"
     "DOTSB"
     "DOTSX"
     "ldots"
     "dots"
     "dotsi"
     "cdots"
     "dotsb"
     "dotsm"
     "dotso"
     "dotsc"
     "iint"
     "iiint"
     "iiiint"
     "idotsint"
     "mathring"
     "acc"
     "mathaccentV"
     "noexpand"
     "Hat"
     "Check"
     "Tilde"
     "Acute"
     "Grave"
     "Dot"
     "Ddot"
     "Breve"
     "Bar"
     "Vec"
     "relbar"
     "Relbar"
     "overleftrightarrow"
     "underrightarrow"
     "underleftarrow"
     "underleftrightarrow"
     "hdots"
     "arraystretch"
     "ignorespacesafterend"
     "theequation"
     "displaybreak"
     "intertext"
     "thetag"
     "notag"
     "mintagsep"
     "start"
     "aligned"
     "alignedat"
     "or"
     "minalignsep"
     "multlinegap"
     "multlinetaggap"
     "shoveright"
     "shoveleft"
     "leqno"
     "eqno"
     "veqno"
     "tag"
     "label")
    (TeX-run-style-hooks
     "amsopn"
     "amsbsy"
     "amstext")))

