(TeX-add-style-hook "amstex"
 (lambda ()
    (LaTeX-add-environments
     "multline"
     "split"
     "gather"
     "xxalignat"
     "xalignat"
     "alignat"
     "align"
     "cases"
     "Vmatrix"
     "vmatrix"
     "bmatrix"
     "pmatrix"
     "matrix"
     "smallmatrix"
     "Sp"
     "Sb"
     "aligned"
     "alignedat"
     "gathered"
     "equation"
     "subequations")
    (TeX-add-symbols
     '("cfrac" ["argument"] 2)
     '("qopname" 3)
     '("mspace" 3)
     '("boldsymbol" 1)
     "baselinestretch"
     "frenchspacing"
     "text"
     "stepcounter"
     "label"
     "thepage"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "pmb"
     "noexpand"
     "AmSTeX"
     "AmS"
     "AmSfont"
     "thinspace"
     "negthinspace"
     "medspace"
     "negmedspace"
     "thickspace"
     "negthickspace"
     "implies"
     "impliedby"
     "frac"
     "frfrac"
     "dfrac"
     "tfrac"
     "binom"
     "frbinom"
     "dbinom"
     "tbinom"
     "colon"
     "coprod"
     "bigvee"
     "bigwedge"
     "biguplus"
     "bigcap"
     "bigcup"
     "prod"
     "sum"
     "bigotimes"
     "bigoplus"
     "bigodot"
     "bigsqcup"
     "dddot"
     "ddddot"
     "int"
     "oint"
     "iint"
     "iiint"
     "iiiint"
     "idotsint"
     "operatorname"
     "arccos"
     "arcsin"
     "arctan"
     "arg"
     "cos"
     "cosh"
     "cot"
     "coth"
     "csc"
     "deg"
     "det"
     "dim"
     "exp"
     "gcd"
     "hom"
     "inf"
     "injlim"
     "ker"
     "lg"
     "lim"
     "liminf"
     "limsup"
     "ln"
     "log"
     "max"
     "min"
     "Pr"
     "projlim"
     "sec"
     "sin"
     "sinh"
     "sup"
     "tan"
     "tanh"
     "operatornamewithlimits"
     "varinjlim"
     "varprojlim"
     "varliminf"
     "varlimsup"
     "numberwithin"
     "eqref"
     "bmod"
     "pod"
     "pmod"
     "mod"
     "lcfrac"
     "rcfrac"
     "overset"
     "underset"
     "sideset"
     "overrightarrow"
     "overleftarrow"
     "overleftrightarrow"
     "underrightarrow"
     "underleftarrow"
     "underleftrightarrow"
     "DOTSI"
     "DOTSB"
     "DOTSX"
     "dots"
     "dotsi"
     "ldots"
     "cdots"
     "dotso"
     "dotsb"
     "dotsm"
     "dotsc"
     "longrightarrow"
     "Longrightarrow"
     "longleftarrow"
     "Longleftarrow"
     "longleftrightarrow"
     "Longleftrightarrow"
     "mapsto"
     "longmapsto"
     "hookrightarrow"
     "hookleftarrow"
     "doteq"
     "iff"
     "Gamma"
     "Delta"
     "Theta"
     "Lambda"
     "Xi"
     "Pi"
     "Sigma"
     "Upsilon"
     "Phi"
     "Psi"
     "Omega"
     "varGamma"
     "varDelta"
     "varTheta"
     "varLambda"
     "varXi"
     "varPi"
     "varSigma"
     "varUpsilon"
     "varPhi"
     "varPsi"
     "varOmega"
     "overline"
     "boxed"
     "allowdisplaybreaks"
     "displaybreak"
     "intertext"
     "thetag"
     "adjusttag"
     "hdots"
     "hdotsfor"
     "arraystretch"
     "notag"
     "nonumber"
     "multlinegap"
     "shoveright"
     "shoveleft"
     "tag"
     "protect"
     "theequation"
     "Iat"
     "atchar"
     "makeatother"
     "leftroot"
     "uproot"
     "root"
     "ulcorner"
     "urcorner"
     "llcorner"
     "lrcorner"
     "dabar"
     "dasharrow"
     "rightleftharpoons"
     "angle"
     "hbar"
     "sqsubset"
     "sqsupset"
     "mho"
     "square"
     "lozenge"
     "vartriangleright"
     "vartriangleleft"
     "trianglerighteq"
     "trianglelefteq"
     "rightsquigarrow"
     "lhd"
     "unlhd"
     "rhd"
     "unrhd"
     "Box"
     "Diamond"
     "leadsto"
     "frak"
     "Bbb"
     "bold"
     "sphat"
     "spcheck"
     "sptilde"
     "spdot"
     "spddot"
     "spdddot"
     "spbreve"
     "fracwithdelims"
     "accentedsymbol"
     "nobreakspace")))

