(TeX-add-style-hook "jurabib"
 (lambda ()
    (LaTeX-add-index-entries
     "#1")
    (TeX-add-symbols
     '("formatarticlepages" ["argument"] 2)
     '("citefield" ["argument"] 2)
     '("jbartcrossrefchecked" ["argument"] 1)
     '("jbcrossrefchecked" ["argument"] 1)
     '("jbpagesformat" 1)
     '("jbprformat" 1)
     '("pageadd" 1)
     '("nobibliography" 1)
     '("jbbibargs" 5)
     '("bibnumberformat" 1)
     '("nocitebuthowcited" 1)
     '("jbendnote" 1)
     '("jbnote" 2)
     '("artnumberformat" 1)
     '("apyformat" 1)
     '("bibYear" 1)
     '("citeworkwithtitle" 1)
     '("lookatfortype" 1)
     '("citefullfirstfortype" 1)
     '("citenotitlefortype" 1)
     '("citetitlefortype" 1)
     '("citeswithoutentry" 1)
     '("nextcitereset" 1)
     '("nextcitenotitle" 1)
     '("nextciteshort" 1)
     '("nextcitefull" 1)
     '("jburluse" 1)
     '("incolledformat" 5)
     '("numberandseries" 2)
     '("jbincollcrossref" 2)
     '("jbedbyincollcrossrefshort" 1)
     '("jbedbyincollcrossrefshortnoapy" 1)
     '("jbedbyincollcrossrefshortwithapy" 1)
     '("jbedbyincollcrossreflong" 1)
     '("fullnameoxfordcrossref" 1)
     '("jbartPages" 1)
     '("jbArchPages" 1)
     '("jbPages" 1)
     '("jbedition" 1)
     '("jbapifont" 1)
     '("jbflanguage" 1)
     '("translator" 3)
     '("revvolnumformat" 2)
     '("pervolnumformat" 2)
     '("artvolnumformat" 2)
     '("revyearformat" 1)
     '("peryearformat" 1)
     '("artyearformat" 1)
     '("revnumberformat" 1)
     '("pernumberformat" 1)
     '("revvolumeformat" 1)
     '("pervolumeformat" 1)
     '("artvolumeformat" 1)
     '("volumeformat" 1)
     '("jbannoteformat" 1)
     '("bibAnnotePath" 1)
     '("bibAnnoteFile" 1)
     '("bibAnnote" 1)
     '("jbtiafed" 1)
     '("jbedafti" 1)
     '("biburlfont" 1)
     '("edfont" 1)
     '("bibEIMfont" 1)
     '("bibIMfont" 1)
     '("jbarchsig" 2)
     '("jbarchnameformat" 1)
     '("jbshortsubarchformat" 1)
     '("jbshortarchformat" 1)
     '("bibrlenf" 5)
     '("biblenf" 5)
     '("bibrenf" 5)
     '("bibenf" 5)
     '("bibrnf" 5)
     '("bibnf" 5)
     '("jborganizationindexfont" 1)
     '("jbeditorindexfont" 1)
     '("jbauthorindexfont" 1)
     '("jbbibyearformat" 1)
     '("jbcitationoyearformat" 1)
     '("jbcitationyearformat" 1)
     '("jbrealcitation" 2)
     '("bibel" 1)
     '("el" 1)
     '("bibedinformat" 1)
     '("bibedformat" 1)
     '("snded" 1)
     '("fsted" 1)
     '("jbisbn" 1)
     '("jbissn" 1)
     '("jbsy" 1)
     '("Wrapquotes" 1)
     '("textitswitch" 1)
     "NAT"
     "bibcite"
     "jbsilent"
     "jborgauthorfont"
     "jbfulltitlefont"
     "jbshorttitlefont"
     "jbauthorfontifannotator"
     "jbignorevarioref"
     "jbdisablecitationcrossref"
     "jbdotafterbibentry"
     "jbdotafterendnote"
     "jbsuperscripteditionafterauthor"
     "jbssedbd"
     "jbyearaftertitle"
     "jboyearincitation"
     "jbdy"
     "addtoalllanguages"
     "bibsall"
     "snded"
     "jbedseplikecite"
     "jbaensep"
     "jbshowbibextralabel"
     "jblookforgender"
     "jbuseidemhrule"
     "jbindexbib"
     "jbdonotindexauthors"
     "jbdonotindexeditors"
     "jbdonotindexorganizations"
     "jbindexonlyfirstauthors"
     "jbindexonlyfirsteditors"
     "jbindexonlyfirstorganizations"
     "jbmakeindexactual"
     "jbindextype"
     "jbCheckedFirst"
     "jbRevedFirstOnlyLast"
     "jbRevedFirstNoVonNoJr"
     "jbRevedFirstNoVonJr"
     "jbRevedFirstVonNoJr"
     "jbRevedFirstVonJr"
     "jbRevedNotFirstOnlyLast"
     "jbRevedNotFirstNoVonNoJr"
     "jbRevedNotFirstNoVonJr"
     "jbRevedNotFirstVonNoJr"
     "jbRevedNotFirstVonJr"
     "jbNotRevedOnlyLast"
     "jbNotRevedNoVonNoJr"
     "jbNotRevedNoVonJr"
     "jbNotRevedVonNoJr"
     "jbNotRevedVonJr"
     "biblnfmt"
     "bibfnfmt"
     "jbLast"
     "jbFirst"
     "jbFirstAbbrv"
     "jbVon"
     "jbJunior"
     "bibrevtfont"
     "bibibidfont"
     "bibimfont"
     "jbimfont"
     "bibeimfont"
     "jbeimfont"
     "bibanfont"
     "jbsamearch"
     "jbsamesubarch"
     "jbnotsamearch"
     "jbsubarchsep"
     "jbarchnamesep"
     "jbsamesubarchindent"
     "Bibbtasep"
     "Bibbfsasep"
     "Bibbstasep"
     "Bibbtesep"
     "Bibbfsesep"
     "Bibbstesep"
     "bibaesep"
     "bothaesep"
     "bibbdsep"
     "bibBTsep"
     "bibJTsep"
     "bibaldelim"
     "bibardelim"
     "bibpldelim"
     "bibprdelim"
     "bpubaddr"
     "ajtsep"
     "jblangle"
     "jbrangle"
     "biburlprefix"
     "biburlsuffix"
     "urldatecomment"
     "bibbudcsep"
     "bibnotcited"
     "howcitedprefix"
     "howcitedsuffix"
     "bibvolumecomment"
     "volumeofname"
     "alsothesisname"
     "bibces"
     "bibcrossrefcite"
     "bibcrossrefciteagain"
     "bibincollcrossrefcite"
     "bibincollcrossrefciteagain"
     "bibsnfont"
     "bibvtfont"
     "osep"
     "reprintname"
     "jbbookedaftertitle"
     "addto"
     "AddTo"
     "jbonlyforcitations"
     "jbonlyforbib"
     "jbonlyforfirstcitefullbegin"
     "jbonlyforfirstcitefullend"
     "bbl"
     "aftervolsep"
     "opcit"
     "origPAGES"
     "origpages"
     "origPages"
     "origartPages"
     "jbauthorfnfont"
     "jbactualauthorfont"
     "jbactualauthorfnfont"
     "jbbtitlefont"
     "bibedformat"
     "edbysep"
     "jburldef"
     "testnosig"
     "lookatprefix"
     "lookatsuffix"
     "noibidem"
     "noidem"
     "nofirstnameforcitation"
     "jbcitationyearformat"
     "jbts"
     "bibleftcolumn"
     "bibcolumnsep"
     "bibrightcolumn"
     "bibleftcolumnadjust"
     "bibrightcolumnadjust"
     "bibleftcolumnstretch"
     "bibrightcolumnstretch"
     "bibtabularitemsep"
     "jbdebug"
     "jbhowsepbeforetitleae"
     "jbhowsepbeforetitleibidemname"
     "jbhowsepannotatorfirst"
     "jbbeforestartpagesep"
     "hyper"
     "samepageibidemname"
     "samepageibidemmidname"
     "diffpageibidemname"
     "diffpageibidemmidname"
     "IbidemMidName"
     "jbyear"
     "ecmd"
     "Bibetal"
     "janname"
     "biblenf"
     "jbbtasep"
     "jbbfsasep"
     "jbbstasep"
     "jbbtesep"
     "jbbfsesep"
     "jbbstesep"
     "jbedition"
     "jbtitlefont"
     "bibjtfont"
     "bibjtsep"
     "bibaltformatalign"
     "jbfootnotenumalign"
     "jbfootnoteformat"
     "enoteformat"
     "jbedbyincollcrossrefcite"
     "jbedbyincollcrossrefciteagain"
     "bibauthormultiple"
     "bibbtsep"
     "bibapyldelim"
     "bibapyrdelim"
     "bibatsep"
     "dateldelim"
     "daterdelim"
     "incollinname"
     "inname"
     "editorname"
     "editorsname"
     "edbyname"
     "Edbyname"
     "volumename"
     "Volumename"
     "firstedname"
     "secondedname"
     "thirdedname"
     "fourthedname"
     "fifthedname"
     "thedname"
     "editionname"
     "SSS"
     "theHlvla"
     "theHlvlb"
     "theHlvlc"
     "theHlvld"
     "theHlvle"
     "theHlvlf"
     "theHlvlg"
     "theHlvlh"
     "theHlvli"
     "theHlvlj"
     "theHlvlk"
     "theHlvll"
     "bib"
     "jbmakeinbiblist"
     "jbmakeinbib"
     "bibhowcited"
     "bibcommenthowcited"
     "bibartperiodhowcited"
     "jbhowcitedcomparepart"
     "jbhowcitednormalpart"
     "jbaddtomakehowcited"
     "noexpand"
     "jbdoitem"
     "protect"
     "cite"
     "jbcitetitle"
     "jbfullcite"
     "jbfootcite"
     "jbfootcitetitle"
     "jbfootcitenotitle"
     "jbfootfullcite"
     "citetitleonly"
     "footcitetitleonly"
     "citep"
     "citet"
     "citealt"
     "citealp"
     "citeauthor"
     "citeyear"
     "citeyearpar"
     "footcitep"
     "footcitet"
     "footcitealt"
     "footcitealp"
     "footciteauthor"
     "bibnf"
     "bibenf"
     "bibansep"
     "bibbtasep"
     "bibbfsasep"
     "bibbstasep"
     "bibbtesep"
     "bibbfsesep"
     "bibbstesep"
     "jblinebreak"
     "bibelnfont"
     "bibefnfont"
     "bibtfont"
     "bibbtfont"
     "bibapifont"
     "bibfnfont"
     "biblnfont"
     "jbannotatorfont"
     "jbauthorfont"
     "jbapifont"
     "jbbtfont"
     "IbidemName"
     "jbatsep"
     "jbhowsepannotatorlast"
     "nopage"
     "jbPageName"
     "jbPagesName"
     "bibPageName"
     "bibPagesName"
     "jbpagesnamesep"
     "bibpagesnamesep"
     "sndecmd"
     "jbafterstartpagesep"
     "formatpages"
     "herename"
     "jbfirstcitepageranges"
     "jbpagesep"
     "OpCit"
     "jbauthorinfo"
     "footciteyear"
     "jb"
     "jbPAGES"
     "jbpages"
     "jbPages"
     "jbartPages"
     "origcrossref"
     "origbibces"
     "idemname"
     "jbhowsepbeforetitle"
     "ibidem"
     "jbcrossrefchecked"
     "citetitle"
     "fullcite"
     "footfullcite"
     "footcite"
     "footcitetitle"
     "jurabibsetup"
     "ProcessOptionsWithKV"
     "CurrentOption"
     "ExecuteOptions")
    (TeX-run-style-hooks
     "hyperref"
     "bibunits"
     "array"
     "url"
     "keyval"
     "calc"
     "ifthen")))

