(TeX-add-style-hook "scrreprt"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "addmargin"
     "abstract"
     "titlepage"
     "figure"
     "table"
     "captionbeside"
     "theindex")
    (TeX-add-symbols
     '("chapappifprefix" ["argument"] 0)
     '("deffootnote" ["argument"] 3)
     '("setcapwidth" ["argument"] 1)
     '("dictum" ["argument"] 1)
     '("maketitle" ["argument"] 0)
     '("othersectionlevelsformat" 1)
     '("chapappifchapterprefix" 1)
     '("renewcaptionname" 3)
     '("newcaptionname" 3)
     '("providecaptionname" 3)
     '("textsubscript" 1)
     '("deffootnotemark" 1)
     '("setindexpreamble" 1)
     '("setbibpreamble" 1)
     '("usekomafont" 1)
     '("addtokomafont" 2)
     '("setkomafont" 2)
     '("marginline" 1)
     '("labelinglabel" 1)
     '("descriptionlabel" 1)
     '("minisec" 1)
     '("dictumauthorformat" 1)
     '("partmark" 1)
     '("chaptermark" 1)
     '("dedication" 1)
     '("lowertitleback" 1)
     '("uppertitleback" 1)
     '("publishers" 1)
     '("subject" 1)
     '("titlehead" 1)
     '("extratitle" 1)
     '("ifnumber" 3)
     "test"
     "gobble"
     "x"
     "appendixmore"
     "cleardoublestandardpage"
     "cleardoubleemptypage"
     "cleardoubleplainpage"
     "cleardoublepage"
     "add"
     "headincludeon"
     "headincludeoff"
     "headseplineon"
     "headseplineoff"
     "footincludeon"
     "footincludeoff"
     "footseplineon"
     "footseplineoff"
     "ps"
     "titlepagestyle"
     "partpagestyle"
     "chapterpagestyle"
     "indexpagestyle"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "author"
     "title"
     "extratitle"
     "titlehead"
     "subject"
     "publishers"
     "uppertitleback"
     "lowertitleback"
     "dedication"
     "date"
     "and"
     "footnote"
     "addpart"
     "chapterheadstartvskip"
     "chapterheadendvskip"
     "use"
     "dictumwidth"
     "raggeddictum"
     "raggeddictumtext"
     "raggeddictumauthor"
     "setchapterpreamble"
     "chapter"
     "setpartpreamble"
     "part"
     "addsec"
     "addchap"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "raggedsection"
     "makelabel"
     "appendix"
     "fps"
     "ftype"
     "ext"
     "fnum"
     "caption"
     "new"
     "ref"
     "is"
     "ifthispageodd"
     "scap"
     "c"
     "aftergroup"
     "setcapindent"
     "setcaphanging"
     "cap"
     "setcapmargin"
     "captionabove"
     "captionbelow"
     "fs"
     "floatc"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "sfb"
     "cal"
     "mit"
     "descfont"
     "sectfont"
     "pnumfont"
     "headfont"
     "capfont"
     "caplabelfont"
     "titlefont"
     "noexpand"
     "last"
     "set"
     "before"
     "after"
     "toc"
     "tableofcontents"
     "float"
     "lof"
     "listoffigures"
     "l"
     "lot"
     "listoftables"
     "bibpreamble"
     "bib"
     "bibindent"
     "newblock"
     "index"
     "idx"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "ftn"
     "ftnm"
     "ftntm"
     "scr"
     "thefootnotemark"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "today"
     "autodot"
     "chaptermarkformat"
     "sectionmarkformat"
     "partformat"
     "chapterformat"
     "figureformat"
     "tableformat"
     "captionformat"
     "chapapp"
     "KOMAScript")
    (TeX-run-style-hooks
     "typearea"
     "scrlfile"
     "leqno"
     "fleqn")))

